# Uses of Class
org.apache.sling.distribution.journal.impl.discovery.TopologyViewDiff

Packages that use TopologyViewDiff
Package
Description
org.apache.sling.distribution.journal.impl.discovery
org.apache.sling.distribution.journal.impl.publisher

## Uses of TopologyViewDiff in org.apache.sling.distribution.journal.impl.discovery

Methods in org.apache.sling.distribution.journal.impl.discovery with parameters of type TopologyViewDiff
Modifier and Type
Method
Description
`void`
TopologyChangeHandler.`changed(TopologyViewDiff diffView)`
Invoked by the framework when the TopologyView has changed.

## Uses of TopologyViewDiff in org.apache.sling.distribution.journal.impl.publisher

Methods in org.apache.sling.distribution.journal.impl.publisher with parameters of type TopologyViewDiff
Modifier and Type
Method
Description
`void`
PackageDistributedNotifier.`changed(TopologyViewDiff diffView)`